Bug 1266946 - don't require pre-created directory in /var
Summary: don't require pre-created directory in /var
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.2
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-28 15:42 UTC by Colin Walters
Modified: 2019-10-18 07:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1219871
Environment:
Last Closed: 2019-10-18 07:42:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Colin Walters 2015-09-28 15:42:39 UTC
+++ This bug was initially created as a clone of Bug #1219871 +++

+++ This bug was initially created as a clone of Bug #1219700 +++

Description of problem:

Booting Atomic has a failed systemd unit. Details below:

-bash-4.3# systemctl status var-lib-nfs-rpc_pipefs.mount
● var-lib-nfs-rpc_pipefs.mount - RPC Pipe File System
   Loaded: loaded (/usr/lib/systemd/system/var-lib-nfs-rpc_pipefs.mount; static; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2015-05-07 15:50:56 UTC; 5h 45min ago
    Where: /var/lib/nfs/rpc_pipefs
     What: sunrpc
  Process: 460 ExecMount=/bin/mount sunrpc /var/lib/nfs/rpc_pipefs -n -t rpc_pipefs (code=exited, status=32)

May 07 15:50:56 localhost.localdomain mount[460]: mount: mount point /var/lib/nfs/rpc_pipefs does not exist
May 07 15:50:56 localhost.localdomain systemd[1]: var-lib-nfs-rpc_pipefs.mount mount process exited, code=exited status=32
May 07 15:50:56 localhost.localdomain systemd[1]: Failed to mount RPC Pipe File System.
May 07 15:50:56 localhost.localdomain systemd[1]: Unit var-lib-nfs-rpc_pipefs.mount entered failed state.


Version-Release number of selected component (if applicable):

Booted Fedora-Cloud-Atomic-22_Beta_TC8-20150405.x86_64.qcow2:
-bash-4.3# atomic host status
  TIMESTAMP (UTC)         VERSION   ID             OSNAME            REFSPEC                                                
* 2015-04-15 12:50:37     22.39     a8d8656489     fedora-atomic     fedora-atomic:fedora-atomic/f22/x86_64/docker-host
-bash-4.3# rpm -q rpm-ostree
rpm-ostree-2015.3-7.fc22.x86_64

How reproducible:

Always


Steps to Reproduce:
1. Run the F22 atomic image.
2. Look at systemctl output

--- Additional comment from Colin Walters on 2015-05-08 08:57:41 EDT ---

Ok so this is nfs-utils wanting a new empty directory in /var for a private mount point.

Possible fixes:

 - Move the directory to /run/nfs, have it be created by systemd-tmpfiles
 - Have nfs-utils create the directory
 - Change rpm-ostree to make empty directories

--- Additional comment from Colin Walters on 2015-05-09 12:17:41 EDT ---



--- Additional comment from Fedora Blocker Bugs Application on 2015-05-09 12:19:14 EDT ---

Proposed as a Blocker and Freeze Exception for 22-final by Fedora user walters using the blocker tracking app because:

 This error occurs on first boot, and we really want all services to start out of the box on a clean Atomic installation.

--- Additional comment from Dan Mossor [danofsatx] on 2015-05-11 15:38:47 EDT ---

Discussed at the 2015-05-11 blocker review meeting[0]. Voted as AcceptedBlocker.

AGREED: 1219871 - RejectedBlocker AcceptedFreezeException - Atomic is not a release-blocking image and this bug does not affect any blocking images we know about, but accepted as an FE as fixing Atomic is a good thing if possible (adamw, 17:18:40)

[0]: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-11/

--- Additional comment from Fedora Update System on 2015-05-21 14:13:23 EDT ---

nfs-utils-1.3.2-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nfs-utils-1.3.2-7.fc22

--- Additional comment from awilliam@redhat.com on 2015-06-10 18:26:48 EDT ---

Clearing F22 accepted / nominated freeze exception status as F22 has shipped, per https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Trackers . You may nominate as an Alpha, Beta or Final freeze exception for F23 if desired using the web application - https://qa.fedoraproject.org/blockerbugs/propose_bug (though it is not currently set up for F23) - or by marking the bug as blocking AlphaFreezeException, BetaFreezeException, or FinalFreezeException.

--- Additional comment from Jan Kurik on 2015-07-15 10:10:52 EDT ---

This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 1 Colin Walters 2015-09-28 15:43:07 UTC
This also affects 7.2.

Comment 4 Orion Poplawski 2016-08-10 22:37:22 UTC
Perhaps this could be cleaned up at the same time:

# rpm -V nfs-utils
.M.......    /var/lib/nfs/rpc_pipefs

this is because rpm expects the permissions to be 755, but when mounted it's 555:

dr-xr-xr-x. 11 root root 0 Aug 10 15:34 /var/lib/nfs/rpc_pipefs

Comment 5 Orion Poplawski 2019-10-14 22:52:35 UTC
rpm -V is happy now, so I'm good.

Comment 6 Yongcheng Yang 2019-10-18 07:42:27 UTC
(In reply to Orion Poplawski from comment #4)
> Perhaps this could be cleaned up at the same time:
> 
> # rpm -V nfs-utils
> .M.......    /var/lib/nfs/rpc_pipefs

This issue has been fixed via Bug 1291514

(In reply to Orion Poplawski from comment #5)
> rpm -V is happy now, so I'm good.

I'm closing this bug for now. Feel free to reopen if there's anything new.


Note You need to log in before you can comment on or make changes to this bug.